STRUCT NAND_BUFFERS(9)

NAME
struct_nand_buffers - buffer structure for read/write

SYNOPSIS

struct nand_buffers {
  uint8_t * ecccalc;
  uint8_t * ecccode;
  uint8_t * databuf;
};

MEMBERS

ecccalc
    buffer pointer for calculated ECC, size is oobsize.

ecccode
    buffer pointer for ECC read from flash, size is oobsize.

databuf
    buffer pointer for data, size is (page size + oobsize).

DESCRIPTION

Do not change the order of buffers. databuf and oobrbuf must be in consecutive order.

AUTHOR

Thomas Gleixner <tglx@linutronix.de>
    Author.

COPYRIGHT